<!--
		SIF Infrastructure Specification 3.7

		(January 21, 2025)
		
		Infrastructure Version: 3.7
		
		license: 
		    name: Apache  2.0
        identifier: Apache-2.0
        url: 'https://home.a4l.org/legal/'
	-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns="http://www.sifassociation.org/infrastructure/3.7" targetNamespace="http://www.sifassociation.org/infrastructure/3.7" elementFormDefault="qualified" version="3.7">
  <xs:complexType name="environmentType">
    <xs:sequence>
      <xs:element name="fingerprint" minOccurs="0" type="xs:token" />
      <xs:element name="sessionToken" minOccurs="0" type="xs:token" />
      <xs:element name="solutionId" minOccurs="0" type="xs:token" />
      <xs:element name="defaultZone" minOccurs="0" type="defaultZoneType" />
      <xs:element name="authenticationMethod" minOccurs="0" type="xs:token" />
      <xs:element name="instanceId" minOccurs="0" type="xs:token" />
      <xs:element name="userToken" minOccurs="0" type="xs:string" />
      <xs:element name="consumerName" minOccurs="0" type="xs:string" />
      <xs:element name="applicationInfo" minOccurs="0" type="applicationInfoType" />
      <xs:element name="infrastructureServices" minOccurs="0" type="infrastructureServicesType" />
      <xs:element name="provisionedZones" minOccurs="0" type="provisionedZonesType" />
    </xs:sequence>
    <xs:attribute name="type" use="optional" type="environmentTypeType" />
    <xs:attribute name="id" use="optional" type="uuidType" />
  </xs:complexType>

  <xs:element name="environment" type="environmentType">
    <xs:key name="environmentKey1">
      <xs:selector xpath="." />
      <xs:field xpath="@id" />
    </xs:key>
  </xs:element>

  <xs:complexType name="environmentCollectionType">
    <xs:sequence>
      <xs:element name="environment" type="environmentType" minOccurs="0" maxOccurs="unbounded" />
    </xs:sequence>
  </xs:complexType>
  <xs:element name="environments" type="environmentCollectionType" />

</xs:schema>